import cc.arduino.*;
import org.firmata.*;

import processing.serial.*;

Arduino miArduino;
int sensorLuz = 1;
int valorLuz;

PImage fotoDia, fotoNoche;
int alfa; //control de la transparencia

void setup(){
  size(1025, 672);
  miArduino = new Arduino(this, Arduino.list()[3], 57600);
  fotoDia = loadImage("QuitoDia.png");
  fotoNoche = loadImage("QuitoNoche.png");
  alfa = 255;
  
}

void draw(){
  background(0);
  //leemos el sensor de luz
  valorLuz = miArduino.analogRead(sensorLuz);
  println(valorLuz);
  
  alfa = (int) map(valorLuz, 468, 775, 0, 255);
  
  tint(255, 255);
  image(fotoNoche, 0, 0);
  
  tint(255, alfa);
  image(fotoDia, 0, 0);
  
  
}
